# class Vector4

#### package lime.math

Available on all platforms

### Constructor

###

`new (x:Float = 0., y:Float = 0., z:Float = 0., w:Float = 0.)`

### Variables

###

`read onlylength:Float`

###

`read onlylengthSquared:Float`

###

`w:Float`

###

`x:Float`

###

`y:Float`

###

`z:Float`

### Methods

###

`inline add (a:Vector4):Vector4`

###

`inline clone ():Vector4`

###

`inline copyFrom (sourceVector4:Vector4):Void`

###

`inline crossProduct (a:Vector4):Vector4`

###

`inline decrementBy (a:Vector4):Void`

###

`inline dotProduct (a:Vector4):Float`

###

`inline equals (toCompare:Vector4, allFour:Bool = false):Bool`

###

`inline incrementBy (a:Vector4):Void`

###

`inline nearEquals (toCompare:Vector4, tolerance:Float, allFour:Bool = false):Bool`

###

`inline negate ():Void`

###

`inline normalize ():Float`

###

`inline project ():Void`

###

`inline scaleBy (s:Float):Void`

###

`inline setTo (xa:Float, ya:Float, za:Float):Void`

###

`inline subtract (a:Vector4):Vector4`

###

`inline toString ():String`

### Static variables

###

`staticread onlyX_AXIS:Vector4`

###

`staticread onlyY_AXIS:Vector4`

###

`staticread onlyZ_AXIS:Vector4`

### Static methods

###

`staticinline angleBetween (a:Vector4, b:Vector4):Float`

###

`staticinline distance (pt1:Vector4, pt2:Vector4):Float`